## ifupdown 0.7~alpha5.1ubuntu5

=== debian/changelog ===
ifupdown (0.7~alpha5.1ubuntu5) oneiric; urgency=low

  * use 'ifquery' in if-up.d/upstart rather than parsing interfaces
    manually. This fixes issue where devices with 'auto' but without a 
    config stanza would be blocked on (LP: #850226).

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Sep 2011 14:30:57 -0400

ifupdown (0.7~alpha5.1ubuntu4) oneiric; urgency=low

  * invoke dhclient3 with '-1', meaning it should exit failure if it does
    not receive a response in 60 seconds. (LP: #838968)
  * fix the broken static-network-up-emitted event. This now keeps
    state of which interfaces have been brought up by marker files
    in /run/network named ifup.IFACE and a directory named 
    static-network-up-emitted indicating static-network-up has been
    emitted.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 02 Sep 2011 15:50:47 -0400

ifupdown (0.7~alpha5.1ubuntu3) oneiric; urgency=low

  * Document what events are emitted properly. (LP: #819928)

 -- Clint Byrum <clint@ubuntu.com>  Mon, 22 Aug 2011 11:28:32 +0100

ifupdown (0.7~alpha5.1ubuntu2) oneiric; urgency=low

  * Rename Vcs-* to XS-Debian-Vcs-*.
  * Close mkdir's stderr when creating
    /var/run/network/static-network-up-emitted to silence (expected) error on
    second run.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 10 Aug 2011 17:01:24 +0200

ifupdown (0.7~alpha5.1ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes:
    - ifupdown.nw: Use 100 as default route metric unless an explicit metric
      parameter is set in /etc/network/interface.
    - ifupdown.nw: Add 'ipv4ll' method which uses avahi-autoipd to bring up
      an interface with an IPv4 link-layer address from 169.254.0.0/16 (aka
      'Zeroconf').
    - Add iniparser3.0b sources (dictionary.c, dictionary.h, iniparser.c,
      iniparser.h), to let ifupdown avoid auto-up/down of interfaces if
      network-manager's ifupdown plugin is in managed=true mode.
    - Add a new query interface, 'ifquery', that can be used by upstart
      hooks to ask for the list of possible interfaces that they might need
      to bring up.
    - debian/ifupdown.network-interface.upstart: Replace the init scripts
      with a per-interface Upstart job.
    - debian/ifupdown.networking.upstart: Add a "networking" job that
      partially replaces the networking init script from netbase.
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit.
    - debian/rules: Due to debhelper always adding /etc/init.d symlinks, we
      must manually remove /etc/init.d/networking for as long as netbase
      still provides it.
    - Add if-up and if-down scripts to emit Upstart events when interfaces
      come up and go down.
    - debian/ifupdown.network-interface-security.upstart: Ensure apport is
      started before interfaces are brought up by either ifupdown or
      network-manager.
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - debian/ifupdown.preinst: Since files in /etc were not conffiles in
      lucid, and /etc/network/if-up.d/upstart and
      /etc/init/network-interface.conf changed between lucid final and
      maverick, add extra handling to avoid spurious conffile prompts.
  * Backport from upstream Mercurial repository:
    - Add initial DHCPv6 support (LP: #733547).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Aug 2011 14:41:00 +0100

ifupdown (0.6.10ubuntu5) oneiric; urgency=low

  [Scott Moser]
  * debian/ifupdown.upstart.if-up: emit static-network-up when all auto
    network interfaces are up. (LP: #810044)

  [ Clint Byrum ]
  * debian/rules: dh_installinit has changed and exposes that the
    network-interface-security job should also have --noscripts

 -- Clint Byrum <clint@ubuntu.com>  Mon, 01 Aug 2011 12:40:37 -0700
