=== debian/changelog ===
ifupdown (0.7~alpha5.1ubuntu5.1) oneiric-proposed; urgency=low

  * Cherry pick fixes for label handling from upstream git (LP: #876829):
    - http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/100d6f75b985
    - http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/2d171c8da8e5
    - http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/f9cef973859e
    - http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/80a68bbbd45d
  * Update test suite accordingly.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 17 Jan 2012 15:50:31 -0500
