=== debian/changelog ===
ifupdown (0.7~beta1) experimental; urgency=low

  * Update the examples (Closes: #630551).
  * Remove Default-Stop from the LSB headers (Closes: #630506).
  * Add IPv4LL method (Closes: #204641).
  * Add initial DHCPv6 support.
  * Suggest isc-dhcp-client instead of dhcp3-client (Closes: #631414).
  * Support per-architecture build-time rule definitions.
  * Add a syntax (%iface/a/b%) to perform character replacement over
    variable values.
  * Accept VLAN interface names (Closes: #632902).
  * Update test cases.
  * Correct the spelling of the maintainer's last name.
  * Add partial kFreeBSD support (Closes: #630512).
  * Drop 'ifupdown-clean' init script (not needed any more with /run).

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 23 Aug 2011 11:49:19 +0300
