=== debian/rules ===
--- 
+++ 
@@ -41,14 +41,7 @@
 	chmod a+rx makecdep.sh makenwdep.sh
 
 override_dh_installinit:
-	dh_installinit --name=network-interface-security --upstart-only --noscripts
-	dh_installinit --name=network-interface --upstart-only --noscripts
-	dh_installinit --name=networking --upstart-only --noscripts
-	# FIXME: this rm must be dropped once netbase has been fully upstartified
-	rm debian/ifupdown/etc/init.d/networking
-
-override_dh_installifupdown:
-	dh_installifupdown --name=upstart
+	dh_installinit --name=ifupdown --no-start -- start 39 S .
 
 override_dh_auto_clean:
 	$(MAKE) clean
@@ -71,3 +64,10 @@
 	fi
 endif
 endif
+
+override_dh_gencontrol:
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	dh_gencontrol -- -V'net:Depends=iproute (>= 20071016-1)' -V'net:Suggests=net-tools'
+else
+	dh_gencontrol -- -V'net:Depends=net-tools' -V'net:Suggests='
+endif
