=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,8 @@
 #     Build-Dep
 #
 ######################################################################
+
+export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
 
 %:
 	dh $@
