=== debian/changelog ===
ifupdown (0.7~beta2ubuntu8) precise; urgency=low

  * Start networking upstart job on 'or container', to let us optimize the
    udevtrigger job.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Apr 2012 17:27:03 -0700

ifupdown (0.7~beta2ubuntu7) precise; urgency=low

  [ Wookey ]
  * Use cross-compiler when cross-compiling (LP: #967227)
    Also merged upstream as:
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/b21bc14d9109

  [ Stéphane Graber ]
  * Cherry pick commits from upstream to fix the broadcast address (LP: #924880)
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/d31ffdb89dbb
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/b996bb5866f5
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fbe3c242d6f8
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/bdfd32ad6287
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/d144dfdd7940

  * Detect bogus dns-nameservers line in /etc/network/interfaces and
    automatically comment them (LP: #932275)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Mar 2012 17:39:32 -0400

ifupdown (0.7~beta2ubuntu6) precise; urgency=low

  * Fix previous upload.
  * Forgot to update the test suite in previous upload...
    Update debian/testbuild-linux to drop --exit-on-error.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 10:50:53 -0500

ifupdown (0.7~beta2ubuntu5) precise; urgency=low

  * Revert upstream commit setting --exit-on-error to the run-parts call.
    Scripts still shouldn't exit non-zero unless they plan to stop the
    network configuration, but considering the amount of broken scripts
    out there, it was considered safer to ignore their return value for
    12.04.
    This change will be reverted in 12.10 when Debian also has the new
    ifupdown.
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/2625e15a5fc2

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 10:17:56 -0500

ifupdown (0.7~beta2ubuntu4) precise; urgency=low

  * Add a new network-interface-container upstart job that will emit
    a fake net-device-added for the loopback interface on LXC
    and LXC-libvirt.
    This is needed as we don't get a udev event for the loopback interface
    and net-device-up won't be emitted for the loopback interface in the
    if-up.d hook (as it's supposed to be done in network-interface).

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 12 Feb 2012 16:14:53 -0500

ifupdown (0.7~beta2ubuntu3) precise; urgency=low

  * More label fixes from upstream, don't bring down the parent
    when bringing down a label.
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/f9cef973859e
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/80a68bbbd45d
  * /etc/init/network-interface-security.conf was made a conffile in
    maverick. Update the check in postinst to fix upgrade from Oneiric.
    (LP: #918323)
  * Fix NetworkManager managed mode detection to look at
    /etc/NetworkManager/NetworkManager.conf instead of
    /etc/NetworkManager/nm-system-settings.conf (LP: #918354)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Jan 2012 14:19:03 -0500

ifupdown (0.7~beta2ubuntu2) precise; urgency=low

  * Make sure we always call dhclient(3) with /var/lib/dhcp instead of
    /var/lib/dhcp3 (needed as dhclient3 is now a symlink to dhclient).
    (LP: #900234)
  * Fix typo in previous changelog entry (LP: #916263)
  * Automatically convert network-interface-security.conf to a conffile
    (LP: #917185)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Jan 2012 17:54:26 -0500

ifupdown (0.7~beta2ubuntu1) precise; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes
    (LP: #905660, LP: #850566, LP: #611877, LP: #678425):
    - ifupdown.nw: Use 100 as default route metric unless an explicit metric
      parameter is set in /etc/network/interface.
    - Add iniparser3.0b sources (dictionary.c, dictionary.h, iniparser.c,
      iniparser.h), to let ifupdown avoid auto-up/down of interfaces if
      network-manager's ifupdown plugin is in managed=true mode.
    - Add a new query interface, 'ifquery', that can be used by upstart
      hooks to ask for the list of possible interfaces that they might need
      to bring up.
    - debian/ifupdown.network-interface.upstart: Replace the init scripts
      with a per-interface Upstart job.
    - debian/ifupdown.networking.upstart: Add a "networking" job that
      partially replaces the networking init script from netbase.
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit.
    - debian/rules: Due to debhelper always adding /etc/init.d symlinks, we
      must manually remove /etc/init.d/networking for as long as netbase
      still provides it.
    - Add if-up and if-down scripts to emit Upstart events when interfaces
      come up and go down.
    - debian/ifupdown.network-interface-security.upstart: Ensure apport is
      started before interfaces are brought up by either ifupdown or
      network-manager.
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - debian/ifupdown.preinst: Since files in /etc were not conffiles in
      lucid, and /etc/network/if-up.d/upstart and
      /etc/init/network-interface.conf changed between lucid final and
      maverick, add extra handling to avoid spurious conffile prompts.
    - invoke dhclient3 with '-1', meaning it should exit failure if it does
      not receive a response in 60 seconds. (LP: #838968)
    - contrib/ifstate-check: Use /run/network/ifstate instead of
      /etc/network/run/ifstate
    - ifup.8: Update man page to indicate that Ubuntu uses /run
      and that it's always writable as it's a temporary filesystem
  * ifupdown.nw: When calling dhclient3, also use /var/lib/dhcp as
    dhclient3 is now a symlink to dhclient and /var/lib/dhcp3 no longer
    exists. (LP: #900234)

