=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,10 @@
 
 export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
 
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+  export CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
+
 %:
 	dh $@
 
@@ -43,7 +47,15 @@
 	chmod a+rx makecdep.sh makenwdep.sh
 
 override_dh_installinit:
-	dh_installinit --name=ifupdown --no-start -- start 39 S .
+	dh_installinit --name=network-interface-container --upstart-only --noscripts
+	dh_installinit --name=network-interface-security --upstart-only --noscripts
+	dh_installinit --name=network-interface --upstart-only --noscripts
+	dh_installinit --name=networking --upstart-only --noscripts
+	# FIXME: this rm must be dropped once netbase has been fully upstartified
+	rm debian/ifupdown/etc/init.d/networking
+
+override_dh_installifupdown:
+	dh_installifupdown --name=upstart
 
 override_dh_auto_clean:
 	$(MAKE) clean
