## ifupdown 0.7~beta2ubuntu11.1

=== debian/changelog ===
ifupdown (0.7~beta2ubuntu11.1) precise-proposed; urgency=medium

  * Fix network-interface upstart job to bring up allow-hotplug devices.
    (LP: #1307429)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 08 May 2014 17:00:41 +0200

ifupdown (0.7~beta2ubuntu11) precise; urgency=low

  [ Stéphane Graber ]
  * Allow setting the MTU and HWADDR on manual interfaces. (LP: #1294807) 

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 27 Mar 2014 11:34:01 -0500

ifupdown (0.7~beta2ubuntu10) precise-proposed; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fb3055c2c4f0)
    for a regression introduced by a93db3ecb8f0. LP: #1226067

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 16 Sep 2013 11:37:14 -0500

ifupdown (0.7~beta2ubuntu9) precise; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/a93db3ecb8f0)
    for a race condition when updating the state file.  LP: #1160490

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 20 Aug 2013 16:49:46 -0500
