## ifupdown 0.7.2ubuntu2

=== debian/changelog ===
ifupdown (0.7.2ubuntu2) quantal; urgency=low

  * Fix regression with the removal of the sysvinit networking job:
    - Don't bring 'lo' down (add it to --exclude)
    - Emit deconfiguring-networking (LP: #1061639)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Oct 2012 11:13:27 -0400

ifupdown (0.7.2ubuntu1) quantal; urgency=low

  * Merge ifupdown 0.7.2 from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - Add jobs and hooks for upstart.
  * Remove /etc/default/networking as the upstart job doesn't use it and
    can't really use it without some significant changes (support exclusion
    lists in all the upstart jobs).
  * Add resolvconf (8) to SEE ALSO section of the interfaces manpage.
    (LP: #1043335)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Sep 2012 11:18:07 -0400

ifupdown (0.7.2) unstable; urgency=low

  * Don't install /etc/default/networking as executable (Closes: #679623).
  * Declare Breaks on dhcp-client (<< 3.0) instead of Conflicts.
  * Implement --no-scripts option (LP: #258782).
  * Calculate the length of a string properly (Closes: #681431).
  * When bringing hotplug interfaces up, strip VLAN and alias identifiers out
    (Closes: #680042).
  * LSB headers: depend on urandom.
  * Recognize vlan+alias combination and filter aliases out (Closes: #679672).
  * Work-around ip(8) understanding of 0NNN as octal numbers (Closes: #684698).

 -- Andrew O. Shadura <bugzilla@tut.by>  Thu, 16 Aug 2012 23:22:32 +0200

ifupdown (0.7.1ubuntu3) quantal; urgency=low

  * Add a 'stop on' rule for the networking service, so that we tear the
    network down at the correct point in the shutdown sequence (after remote
    filesystems have been unmounted).  This is mostly needed when using
    insserv upstart integration (not yet in Ubuntu) to ensure the shutdown
    doesn't hang waiting for an unsatisfiable init script dependency, but it
    also addresses the need for shutting down networking on runlevel changes
    - provided that umountnfs.sh itself is called for runlevel 1, which it
    currently is not.
  * Also start the job on runlevel [2345].  This is a no-op during a normal
    boot since the network will be started *before* runlevel is emitted, but
    is needed to restart the network after a change from runlevel 1.
    LP: #752481.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Sep 2012 15:05:32 -0400

ifupdown (0.7.1ubuntu2) quantal; urgency=low

  * Make /etc/init.d/networking a conffile even if it's a symlink.
    This should help dpkg do the right thing when moving the file from netbase
    over to ifupdown. This is a workaround for (LP: #1023437)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 11 Jul 2012 11:51:57 -0400

ifupdown (0.7.1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - Add jobs and hooks for upstart.
    - Cherry-pick commit a1f8efc4d93f from upstream, add --no-scripts as a
      parameter to ifup/ifdown, allowing the user to bypass the the scripts
      in /etc/network/if-*.d/ (LP: #258782)
  * Don't include new /etc/default/networking as it's incompatible with event
    based networking configuration.
  * Don't bump dependency on initscripts as the dependency isn't required with
    the upstart jobs and the new version isn't in Ubuntu yet.
  * Drop our code hardcoding the metric at 100 for the default gateway,
    this was used to avoid conflicts between ifupdown and Network Manager.
    Nowadays Network Manager won't manage an interface defined in ifupdown
    and the rest of the metric changes are now in ifupdown.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Jul 2012 13:49:30 -0400

ifupdown (0.7.1) unstable; urgency=low

  * Supply metric setting to dhclient (Closes: #279741, #364581, #676323).
  * Add autoconf/accept_ra options to inet6/dhcp (Closes: #676244).
  * Clean up after /run migration (Closes: #673057):
    - Remove old /etc/network/run.dpkg-old symlink.
    - Try to remove old /etc/network/run even if it's a symlink.
  * Depend on initscripts >= 2.88dsf-25 so mountnfs doesn't break.
  * Pass -q to sysctl to make the output less verbose.
  * Fix shell scripting mistake in /etc/init.d/networking (thanks to
    Stanislav Maslovski, closes: #678101).
  * Changes to interfaces exclusion:
    - Accept -X shortcut (wasn't working because of a bug).
    - Allow specifying more than one -X option.
    - Use shell glob syntax.
  * Add /etc/default/networking (Closes: #580035, #677973):
    - CONFIGURE_INTERFACES can be used to disable interfaces configuration.
    - Individual interfaces can be excluded with EXCLUDE_INTERFACES.
    - Extra verbosity may be requested with VERBOSE.
  * When ifup is being run with --force -n, always report errors regardless of
    ifstate.

 -- Andrew O. Shadura <bugzilla@tut.by>  Thu, 21 Jun 2012 18:59:10 +0200

ifupdown (0.7ubuntu1) quantal-proposed; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes:
    (LP: #298488, LP: #663352)

