=== debian/changelog ===
ifupdown (0.7.2ubuntu4) quantal-proposed; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fb3055c2c4f0)
    for a regression introduced by a93db3ecb8f0. LP: #1226067

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 16 Sep 2013 11:37:22 -0500

ifupdown (0.7.2ubuntu3) quantal; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/a93db3ecb8f0)
    for a race condition when updating the state file.  LP: #1160490

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 20 Aug 2013 16:50:22 -0500
