## ifupdown 0.7.5ubuntu2

=== debian/changelog ===
ifupdown (0.7.5ubuntu2) raring; urgency=low

  * Update network-interface-security job to stop when the parent job is
    stopped itself. This avoids leftover instances. (LP: #1065684)
  * Set mtu of tunnel devices. (LP: #1074048)
  * Actually set the new calculated value for duplicate entries. (LP: #1086517)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 11 Dec 2012 19:53:56 -0500

ifupdown (0.7.5ubuntu1) raring; urgency=low

  * Merge ifupdown 0.7.5 from Debian. Remaining changes:
    - debian/ifupdown.neworking.upstart (forwarded to Debian):
      + Don't bring 'lo' down (add it to --exclude)
      + Emit deconfiguring-networking (LP: #1061639)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add resolvconf (8) to SEE ALSO section of the interfaces manpage.
      (LP: #1043335)
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - Decrease version dependency against initscripts as the new version isn't
      in Ubuntu yet and the relevant change was added to the older version.
  * Remove versioned dependency against lsb-base and matching init_is_upstart
    calls in the various scripts as the new version isn't in Ubuntu yet.
  * debian/rules revert changes to dh_installinit calls to force all init
    scripts to be only upstart scripts. This can probably be reverted once we
    have the new lsb-base.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Nov 2012 11:06:10 -0500

ifupdown (0.7.5) unstable; urgency=low

  * Fix upstart hooks (Closes: #692110).

 -- Andrew O. Shadura <bugzilla@tut.by>  Fri, 02 Nov 2012 18:30:19 +0100

ifupdown (0.7.4) unstable; urgency=low

  * Check if upstart is the current init and don't try to call initctl if it
    isn't (Closes: #692008).
  * Bump lsb-base dependency to be able to use init_is_upstart.

 -- Andrew O. Shadura <bugzilla@tut.by>  Thu, 01 Nov 2012 12:01:17 +0100

ifupdown (0.7.3) unstable; urgency=low

  * Fix the calculation of broadcast addresses of obsolete scheme;
    previously, a network mask was mistakenly used instead of them.
  * Follow RFC 3021 regarding broadcast addresses in /31 subnets:
    they should use limited broadcast address (Closes: #690561).
  * Add upstart support (patch provided by Steve Langasek, closes: #679549).

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 16 Oct 2012 10:39:24 +0200
