## ifupdown 0.7.5ubuntu2.2

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dictionary.o iniparser.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
-DEFNFILES += meta.defn
+DEFNFILES += meta.defn link.defn
 
 default : executables
 all : executables docs
