=== debian/rules ===
--- 
+++ 
@@ -35,10 +35,13 @@
 ######################################################################
 
 export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
-
-ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-  export CC = $(DEB_HOST_GNU_TYPE)-gcc
+export CFLAGS := -Wall -W $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -D'IFUPDOWN_VERSION="$(VERSION)"'
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+ifeq "$(origin CC)" "default"
+export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
 endif
+export ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+export DESTDIR := debian/$(shell dh_listpackages)
 
 %:
 	dh $@
@@ -50,9 +53,7 @@
 	dh_installinit --name=network-interface-container --upstart-only --noscripts
 	dh_installinit --name=network-interface-security --upstart-only --noscripts
 	dh_installinit --name=network-interface --upstart-only --noscripts
-	dh_installinit --name=networking --upstart-only --noscripts
-	# FIXME: this rm must be dropped once netbase has been fully upstartified
-	rm debian/ifupdown/etc/init.d/networking
+	dh_installinit --name=networking --noscripts
 
 override_dh_installifupdown:
 	dh_installifupdown --name=upstart
@@ -60,6 +61,7 @@
 override_dh_auto_clean:
 	$(MAKE) clean
 	$(MAKE) clobber
+	rm -rf tests/
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -82,6 +84,8 @@
 override_dh_gencontrol:
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	dh_gencontrol -- -V'net:Depends=iproute (>= 20071016-1)' -V'net:Suggests=net-tools'
-else
+else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	dh_gencontrol -- -V'net:Depends=net-tools' -V'net:Suggests='
+else ifeq ($(DEB_HOST_ARCH_OS),hurd)
+	dh_gencontrol -- -V'net:Depends=inetutils-tools' -V'net:Suggests='
 endif
