## ifupdown 0.7.8

=== debian/changelog ===
ifupdown (0.7.8) unstable; urgency=medium

  * Assign logical interface name for link pseudointerface on down
    (Closes: #705268).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 12 Apr 2013 11:44:21 +0200

ifupdown (0.7.7) unstable; urgency=low

  * Don't release DHCPv6 leases in inet6/auto for a while (Closes: #703922).
  * Don't call dhclient with -1 for now.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 25 Mar 2013 22:12:09 +0100

ifupdown (0.7.6) unstable; urgency=low

  [ Andrew Shadura ]
  * Don't configure bridge interfaces as tagged VLAN interfaces
    (Closes: #696642).
  * Implement inet6/auto for kFreeBSD, call DHCP release of ifdown
    on Linux (Closes: #701884).
  * Update manual pages.

  [ Stéphane Graber ]
  * Set MTU of tunnel devices (LP: #1074048).
  * Actually set the new calculated value for duplicate entries
    (LP: #1086517).

  [ Josselin Mouette ]
  * postinst: Do not create /etc/network/interfaces if it was removed manually
    (Closes: #695906)

 -- Andrew Shadura <bugzilla@tut.by>  Sun, 03 Mar 2013 12:08:16 +0100
