=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew O. Shadura <bugzilla@tut.by>
+Maintainer: Andrew Shadura <andrewsh@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 9.20120410~), noweb
@@ -12,7 +11,7 @@
 Package: ifupdown
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base, initscripts (>= 2.88dsf-13.3)
+Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3), initscripts (>= 2.88dsf-25)
 Suggests: isc-dhcp-client | dhcp-client, ppp, rdnssd, ${net:Suggests}
 Replaces: netbase (<< 5.0)
 Breaks: netbase (<< 5.0), dhcp-client (<< 3.0)
