=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9.20120410~)
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3), initscripts (>= 2.88dsf-25)
Recommends: isc-dhcp-client | dhcp-client
Suggests: ppp, rdnssd, ${net:Suggests}
Replaces: netbase (<< 5.0)
Breaks: netbase (<< 5.0), dhcp3-client (<< 4.0)
Multi-Arch: foreign
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.
